incron 0.5.10

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Member Functions | Protected Attributes
InotifyException Class Reference

Class for inotify exceptions. More...

`#include <inotify-cxx.h>`

List of all members.

## Public Member Functions
| InotifyException (const std::string &rMsg="", int iErr=0, void *pSrc=NULL)
| Constructor.
const std::string & | GetMessage () const
| Returns the exception message.
int | GetErrorNumber () const
| Returns the exception error number.
void * | GetSource () const
| Returns the exception source.
## Protected Attributes
std::string | m_msg
| message
int | m_err
| error number
void * | m_pSrc
| source

## Detailed Description

Class for inotify exceptions.

This class allows to acquire information about exceptional events. It makes easier to log or display error messages and to identify problematic code locations.

Although this class is basically thread-safe it is not intended to be shared between threads.

## Constructor & Destructor Documentation

InotifyException::InotifyException | ( | const std::string & | rMsg = `""`,
|  | int | iErr = `0`,
|  | void * | pSrc = `NULL`
| ) |  | `[inline]`

Constructor.

Parameters:

  [in] | rMsg | message
  [in] | iErr | error number (see errno.h)
  [in] | pSrc | source

## Member Function Documentation

int InotifyException::GetErrorNumber | ( |  | ) | const`[inline]`

Returns the exception error number.

If not applicable this value is 0 (zero).

Returns:
  error number (standardized; see errno.h)

const std::string& InotifyException::GetMessage | ( |  | ) | const`[inline]`

Returns the exception message.

Returns:
  message

void* InotifyException::GetSource | ( |  | ) | const`[inline]`

Returns the exception source.

Returns:
  source

## Member Data Documentation

int InotifyException::m_err`[protected]`

error number

std::string InotifyException::m_msg`[protected]`

message

void* InotifyException::m_pSrc`[mutable, protected]`

source

The documentation for this class was generated from the following file:

- inotify-cxx.h